javax.json

## Enum JsonValue.ValueType

- java.lang.Object
- - java.lang.Enum<JsonValue.ValueType>
  - - javax.json.JsonValue.ValueType

- All Implemented Interfaces:
    Serializable, Comparable<JsonValue.ValueType>
  Enclosing interface:
    JsonValue

      public static enum JsonValue.ValueType
      extends Enum<JsonValue.ValueType>

  Indicates the type of a `JsonValue` object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ARRAY` JSON array.
    `FALSE` JSON false.
    `NULL` JSON null.
    `NUMBER` JSON number.
    `OBJECT` JSON object.
    `STRING` JSON string.
    `TRUE` JSON true.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonValue.ValueType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JsonValue.ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARRAY

          public static final JsonValue.ValueType ARRAY

      JSON array.

    - #### OBJECT

          public static final JsonValue.ValueType OBJECT

      JSON object.

    - #### STRING

          public static final JsonValue.ValueType STRING

      JSON string.

    - #### NUMBER

          public static final JsonValue.ValueType NUMBER

      JSON number.

    - #### TRUE

          public static final JsonValue.ValueType TRUE

      JSON true.

    - #### FALSE

          public static final JsonValue.ValueType FALSE

      JSON false.

    - #### NULL

          public static final JsonValue.ValueType NULL

      JSON null.

  - ### Method Detail

    - #### values

          public static JsonValue.ValueType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonValue.ValueType c : JsonValue.ValueType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonValue.ValueType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.